Bug 755754 - Unable to start dirsrv service using systemd
Summary: Unable to start dirsrv service using systemd
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: 389-admin
Version: 16
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 389_1.2.10
TreeView+ depends on / blocked
 
Reported: 2011-11-21 23:30 UTC by Niranjan Mallapadi Raghavender
Modified: 2012-03-29 19:21 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-02-02 17:27:27 UTC


Attachments (Terms of Use)
0001-Bug-755754-Unable-to-start-dirsrv-service-using-syst.patch (2.92 KB, patch)
2011-12-14 21:07 UTC, Rich Megginson
nhosoi: review+
Details | Diff

Description Niranjan Mallapadi Raghavender 2011-11-21 23:30:00 UTC
Description of problem:
After installing 389-ds packages on F16, starting dirsrv service using systemctl commands fail. 

$ systemctl enable dirsrv.target
$  systemctl start dirsrv.target

[root@ceres ~]# ps aux | grep ns-slapd  | grep -v grep

Version-Release number of selected component (if applicable):
# rpm -qa 389*
389-admin-console-1.1.8-1.fc16.noarch
389-dsgw-1.1.7-2.fc16.x86_64
389-ds-base-libs-1.2.10-0.5.a5.fc16.x86_64
389-ds-base-1.2.10-0.5.a5.fc16.x86_64
389-adminutil-1.1.14-1.fc16.x86_64
389-admin-1.1.23-1.fc16.x86_64
389-ds-console-1.2.6-1.fc16.noarch
389-admin-console-doc-1.1.8-1.fc16.noarch
389-ds-1.2.2-1.fc15.noarch
389-console-1.1.7-1.fc16.noarch
389-ds-console-doc-1.2.6-1.fc16.noarch



How reproducible:


Steps to Reproduce:
1. Install 389-ds packages on F16 
2. Issue setup-ds-admin.pl 
3. Enable dirsrv service using systemctl 

$ systemctl enable dirsrv.target
$  systemctl start dirsrv.target

  
Actual results:

Process ns-slapd is unable to start through systemd

Expected results:

Process ns-slapd should be able to start using systemd

Additional info:

Nov 22 04:30:15 ceres ns-slapd[1341]: [22/Nov/2011:04:30:15 +051800] config - The configuration file /etc/dirsrv/slapd-admin/dse.ldif does not exist
Nov 22 04:30:15 ceres ns-slapd[1341]: [22/Nov/2011:04:30:15 +051800] config - The backup configuration file /etc/dirsrv/slapd-admin/dse.ldif.tmp does not exist, either.
Nov 22 04:30:15 ceres ns-slapd[1341]: [22/Nov/2011:04:30:15 +051800] schema - No schema files were found in the directory /etc/dirsrv/slapd-admin/schema
Nov 22 04:30:15 ceres ns-slapd[1341]: [22/Nov/2011:04:30:15 +051800] dse - Please edit the file to correct the reported problems and then restart the server.
Nov 22 04:30:15 ceres systemd[1]: dirsrv@admin.service: control process exited, code=exited status=1
Nov 22 04:30:15 ceres systemd[1]: Unit dirsrv@admin.service entered failed state.
Nov 22 04:30:15 ceres systemd[1]: dirsrv@ceres.service: main process exited, code=exited, status=1
Nov 22 04:30:15 ceres systemd[1]: Unit dirsrv@ceres.service entered failed state.

[root@ceres dirsrv]# ls -al /etc/sysconfig/dirsrv*
-rw-r--r--. 1 root   root   2045 Nov  5 04:43 /etc/sysconfig/dirsrv
-rw-r--r--. 1 root   root    627 Aug 12 02:28 /etc/sysconfig/dirsrv-admin
-r--r-----. 1 nobody nobody  773 Nov 21 23:34 /etc/sysconfig/dirsrv-ceres
[root@ceres dirsrv]# ls -al /etc/dirsrv/
total 28
drwxrwxr-x.   7 root   nobody 4096 Nov 21 23:34 .
drwxr-xr-x. 103 root   root   4096 Nov 22 04:16 ..
drwx------.   2 nobody root   4096 Nov 21 23:34 admin-serv
drwxr-xr-x.   2 root   root   4096 Nov 21 19:34 config
drwxr-xr-x.   2 root   root   4096 Nov  9 13:15 dsgw
drwxr-xr-x.   2 root   root   4096 Nov 21 19:34 schema
drwxrwx---.   3 nobody nobody 4096 Nov 22 04:34 slapd-ceres
[root@ceres dirsrv]# ls -al /etc/dirsrv/slapd-*
total 368
drwxrwx---. 3 nobody nobody  4096 Nov 22 04:34 .
drwxrwxr-x. 7 root   nobody  4096 Nov 21 23:34 ..
-rw-rw----. 1 nobody nobody 65536 Nov 21 23:54 cert8.db
-r--r-----. 1 nobody nobody  3595 Nov 21 23:34 certmap.conf
-rw-------. 2 nobody nobody 71336 Nov 22 04:18 dse.ldif
-rw-------. 1 nobody nobody 71336 Nov 21 23:54 dse.ldif.bak
-rw-------. 2 nobody nobody 71336 Nov 22 04:18 dse.ldif.startOK
-r--r-----. 1 nobody nobody 32636 Nov 21 23:34 dse_original.ldif
-rw-rw----. 1 nobody nobody 16384 Nov 21 23:54 key3.db
drwxrwx---. 2 nobody nobody  4096 Nov 22 04:34 schema
-rw-rw----. 1 nobody nobody 16384 Nov 21 23:34 secmod.db
-r--r-----. 1 nobody nobody  5366 Nov 21 23:34 slapd-collations.conf

Comment 1 Rich Megginson 2011-11-21 23:41:33 UTC
The bug is in DSCreate.pm::updateSystemD:
    for my $file (glob("$initconfigdir/$pkgname-*")) {
it should ignore dirsrv-admin, or at least make sure that if there is a dirsrv-name, there should also be an /etc/dirsrv/slapd-name

Comment 2 Rich Megginson 2011-12-14 21:07:01 UTC
Created attachment 546897 [details]
0001-Bug-755754-Unable-to-start-dirsrv-service-using-syst.patch

Comment 3 Rich Megginson 2011-12-15 18:28:29 UTC
commit 255586bdb153aba2e006d5f238662ef33df1841b
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Wed Dec 14 13:51:00 2011 -0700
    Reviewed by: nhosoi (Thanks!)
    Branch: master
    Fix Description: Instead of blindly creating symlinks for dirsrv service
    instances, check to see if there is already a service with that name.
    Platforms tested: Fedora 16
    Flag Day: no
    Doc impact: no

Comment 4 Fedora Update System 2011-12-19 16:51:15 UTC
389-ds-base-1.2.10-0.6.a6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.10-0.6.a6.fc15

Comment 5 Fedora Update System 2011-12-19 16:52:36 UTC
389-ds-base-1.2.10-0.6.a6.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.10-0.6.a6.el5

Comment 6 Fedora Update System 2011-12-19 16:53:31 UTC
389-ds-base-1.2.10-0.6.a6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.10-0.6.a6.fc16

Comment 7 Fedora Update System 2011-12-21 14:40:39 UTC
slapi-nis-0.28-1.fc16,freeipa-2.1.4-3.fc16,389-ds-base-1.2.10-0.6.a6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/slapi-nis-0.28-1.fc16,freeipa-2.1.4-3.fc16,389-ds-base-1.2.10-0.6.a6.fc16

Comment 8 Fedora Update System 2011-12-22 14:28:55 UTC
389-ds-base-1.2.10-0.6.a6.fc15,slapi-nis-0.28-1.fc15,freeipa-2.1.4-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.10-0.6.a6.fc15,slapi-nis-0.28-1.fc15,freeipa-2.1.4-2.fc15

Comment 9 Fedora Update System 2011-12-22 22:43:10 UTC
Package slapi-nis-0.28-1.fc16, freeipa-2.1.4-3.fc16, 389-ds-base-1.2.10-0.6.a6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing slapi-nis-0.28-1.fc16 freeipa-2.1.4-3.fc16 389-ds-base-1.2.10-0.6.a6.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17313/slapi-nis-0.28-1.fc16,freeipa-2.1.4-3.fc16,389-ds-base-1.2.10-0.6.a6.fc16
then log in and leave karma (feedback).

Comment 10 Rich Megginson 2012-01-10 20:36:43 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/251

Comment 11 Fedora Update System 2012-01-24 00:33:42 UTC
389-ds-base-1.2.10-0.8.a7.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.10-0.8.a7.el5

Comment 12 Fedora Update System 2012-01-24 21:26:36 UTC
389-ds-base-1.2.10-0.9.a8.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.10-0.9.a8.el5

Comment 13 Fedora Update System 2012-02-02 17:27:27 UTC
389-ds-base-1.2.10-0.6.a6.fc15, slapi-nis-0.28-1.fc15, freeipa-2.1.4-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2012-02-02 17:32:29 UTC
slapi-nis-0.28-1.fc16, 389-ds-base-1.2.10-0.6.a6.fc16, freeipa-2.1.4-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2012-02-04 03:38:09 UTC
389-ds-base-1.2.10-0.10.rc1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.10-0.10.rc1.el5

Comment 16 Fedora Update System 2012-02-13 20:14:06 UTC
389-ds-base-1.2.10.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.10.0-1.el5

Comment 17 Fedora Update System 2012-02-23 15:50:58 UTC
389-ds-base-1.2.10.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.10.2-1.el5

Comment 18 Fedora Update System 2012-03-05 23:13:40 UTC
389-ds-base-1.2.10.3-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.10.3-1.el5

Comment 19 Fedora Update System 2012-03-27 14:04:50 UTC
389-ds-base-1.2.10.4-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.10.4-2.el5

Comment 20 Fedora Update System 2012-03-29 19:21:27 UTC
389-ds-base-1.2.10.4-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.10.4-3.el5


Note You need to log in before you can comment on or make changes to this bug.